.funding-list {
  display: grid;
  gap: 20px;
}

.funding-item {
  position: relative;
}

.funding-item .main-card {
  padding: 30px 20px;
  border-radius: 20px 20px 20px 0px;
  background-color: #009aa9;
  color: #ffffff;
  position: relative;
}

.funding-item .main-card h4,
.funding-item .main-card .h4 {
  color: #ffffff;
}

.funding-item .main-card p {
  color: #7dd9e1;
  font-size: 12px;
  font-weight: 600;
  text-transform: uppercase;
}

.funding-item .main-card .expand-card-button {
  position: relative;
  outline: none !important;
  border: none;
  cursor: pointer;
  text-decoration: none !important;
  background: none;
  -webkit-appearance: none;
  -webkit-transform: translateZ(0px);
  -webkit-font-smoothing: antialiased;
  backface-visibility: hidden;
  padding: 0;
  border-radius: 50%;
  border: 1px solid #ffffff;
  width: 45px;
  height: 45px;
  position: absolute;
  top: 30px;
  right: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.3s ease-in-out;
}

.funding-item .main-card .expand-card-button.active {
  transform: rotate(180deg);
}

.funding-item .main-card .expand-card-button svg {
  width: 15px;
  height: 15px;
  fill: #ffffff;
  transform: rotate(180deg);
}

.funding-item .inner-cards {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.funding-item .small-card {
  position: relative;
}

.funding-item .small-card a {
  color: #231f20;
  display: block;
  transition: border-color 0.3s ease-in-out, background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.funding-item .small-card a:hover {
  border-color: #00aab5;
  background-color: #d8f9f9;
  color: #009aa9;
}

.funding-item .small-card a:active {
  border-color: #009aa9;
  background-color: #009aa9;
  color: #ffffff;
}

.funding-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: #009aa9;
  padding: 20px 0;
  color: #ffffff;
  font-size: 14px;
  font-weight: 600;
  z-index: 10;
  transform: translateY(-100%);
  transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.funding-header.active {
  transform: translateY(0);
  box-shadow: 0px 5px 10px 0px rgba(0, 57, 117, 0.35);
}

.funding-header .container {
  display: grid;
  grid-template-columns: repeat(6, minmax(100px, 1fr));
  gap: 30px;
}

@media (min-width: 1200px) {
  .funding-list {
    grid-template-columns: repeat(6, minmax(100px, 1fr));
    gap: 32px;
  }

  .funding-item .main-card {
    margin-bottom: 20px;
    height: 200px;
    display: flex;
    flex-direction: column;
  }

  .funding-item .main-card::before {
    content: "";
    width: 1px;
    height: 56px;
    position: absolute;
    top: calc(100% - 35px);
    left: 27.5px;
    background-color: rgba(0, 48, 104, 0.15);
  }

  .funding-item .main-card h4,
  .funding-item .main-card .h4 {
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 5px;
  }

  .funding-item .main-card p {
    padding-left: 25px;
    position: relative;
    margin-top: auto;
  }

  .funding-item .main-card p::before {
    content: "";
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: #ffffff;
    position: absolute;
    top: 0;
    left: 0;
  }

  .funding-item .main-card p::after {
    content: "";
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: #002f6a;
    position: absolute;
    top: 4px;
    left: 4px;
  }

  .funding-item .main-card .expand-card-button {
    display: none;
  }

  .funding-item .small-card:not(:last-child)::before {
    content: "";
    width: 1px;
    height: 20px;
    position: absolute;
    top: 100%;
    left: 27.5px;
    background-color: rgba(0, 48, 104, 0.15);
  }

  .funding-item .small-card a {
    padding: 16px;
    border-radius: 0px 20px 20px 20px;
    border: 1px solid rgba(0, 48, 104, 0.15);
  }
}

@media (max-width: 1799px) {
  .funding-list {
    gap: 15px;
  }

  .funding-header .container {
    gap: 15px;
  }
}

@media (max-width: 1199px) {
  .funding-item .main-card {
    padding: 25px;
    padding-right: 90px;
    border-radius: 20px 20px 20px 0px;
    transition: border-radius 0.1s ease-in-out;
  }

  .funding-item .main-card.active {
    border-radius: 20px 20px 0px 0px;
  }

  .funding-item .main-card h4,
  .funding-item .main-card .h4 {
    margin-bottom: 12px;
  }

  .funding-item .inner-cards {
    display: none;
    border-radius: 0px 0px 20px 0px;
    border: 1px solid #009aa9;
    padding: 30px 25px;
    gap: 25px;
  }

  .funding-item .small-card:not(:last-child) {
    margin-bottom: 25px;
  }

  .funding-item .small-card a {
    text-decoration-line: underline;
    text-underline-offset: 2px;
    text-decoration-thickness: 1px;
  }

  .funding-header {
    display: none;
  }
}

@media (max-width: 767px) {
  .funding-page .filters__row {
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
  }

  .funding-item .main-card {
    padding: 20px;
    padding-right: 75px;
  }

  .funding-item .main-card .expand-card-button {
    right: 20px;
  }
}